Get list of sandboxes
curl --request GET \
--url https://api.hyperbrowser.ai/api/sandboxes \
--header 'x-api-key: <api-key>'import requests
url = "https://api.hyperbrowser.ai/api/sandboxes"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.hyperbrowser.ai/api/sandboxes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sandboxes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime": {
"transport": "regional_proxy",
"host": "<string>",
"baseUrl": "<string>"
},
"exposedPorts": [
{
"port": 32768,
"auth": true,
"url": "<string>",
"browserUrl": "<string>",
"browserUrlExpiresAt": "2023-11-07T05:31:56Z"
}
],
"teamId": "<string>",
"startTime": 123,
"endTime": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closeReason": "<string>",
"creditsUsed": 123,
"vcpus": 123,
"memMiB": 123,
"diskSizeMiB": 123,
"timeoutMinutes": 123,
"network": {
"allowInternetAccess": true,
"allowOut": [
"<string>"
],
"denyOut": [
"<string>"
]
},
"sessionUrl": "<string>",
"duration": 123,
"proxyBytesUsed": 123
}
],
"totalCount": 123,
"page": 123,
"perPage": 123
}Sandboxes
Get list of sandboxes
GET
/
api
/
sandboxes
Get list of sandboxes
Authorizations
Query Parameters
Page number
Page size (max 100)
Filter by sandbox status Current sandbox lifecycle status.
Available options:
active, closed, close-error, error Filter by creation time (epoch milliseconds, inclusive lower bound)
Filter by creation time (epoch milliseconds, inclusive upper bound)
Search by sandbox ID
Was this page helpful?
⌘I